Bemærk
Adgang til denne side kræver godkendelse. Du kan prøve at logge på eller ændre mapper.
Adgang til denne side kræver godkendelse. Du kan prøve at ændre mapper.
Retrieve the properties of an approvalEntry object in Business Central.
HTTP request
Replace the URL prefix for Business Central based on the environment. For more information, see API endpoints.
GET businesscentralPrefix/companies({companyId})/approvalEntries({approvalEntryId})
To retrieve all approval entries, omit ({approvalEntryId}) from the request URL.
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Don't supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and an approvalEntry object in the response body.
Example
Request
Here's an example of the request.
GET https://{businesscentralPrefix}/api/v2.0/companies({companyId})/approvalEntries({approvalEntryId})
Response
Here's an example of the response.
Note
The response object is truncated for brevity. The actual response includes all properties.
{
"id": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
"entryNumber": 42,
"documentType": "Order",
"documentNumber": "101001",
"senderId": "ALEX",
"senderName": "Alex Wilber",
"approverId": "SARA",
"approverName": "Sara Davis",
"status": "Open",
"dateTimeSentForApproval": "2026-08-04T09:30:00Z",
"dueDate": "2026-08-11",
"amount": 1250.00,
"currencyCode": "USD",
"lastModifiedDateTime": "2026-08-04T09:30:00Z"
}